Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleRuleBlockInclude

    java.lang.Object
      com.ibm.able.rules.AbleRuleBlock
          com.ibm.able.rules.AbleRuleBlockInclude

All Implemented Interfaces:
  java.io.Serializable

public class AbleRuleBlockInclude
extends AbleRuleBlock
implements java.io.Serializable

This class is not a true rule block; it is merely a place holder in a ruleset's rule block list so that a proper ARL `include "fileSpec";` statement can be generated in the proper place in a generated ARL stream.

The `init`, `process` and `reset` methods are `no-op`s.

Since:
  ABLE 2.2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.able.rules.AbleRuleBlock
`myAstRuleList, myCndRuleList, myComment, myControlParameterList, myControlParameters, myCorrelationRuleList, myEngineType, myFormalParameters, myFormalSignature, myIfThenElseRuleList, myInferenceEngine, myIterationRuleList, myName, myPatternMatchRuleList, myPlanningRuleList, myPolicyRuleList, myPredicateRuleList, myProcessedFlag, myProperties, myReturnType, myReturnValue, myRuleBlockKey, myRuleList, myRuleSet, myTrace, myTreeRuleList, myVariableList, myVariableOrder, RuleBlockCatch, RuleBlockInit, RuleBlockPostProcess, RuleBlockPreProcess, RuleBlockProcess, RuleBlockProcessAbleEvent, RuleBlockProcessTimerEvent, RuleBlockQuitAll`

Constructor Summary
`AbleRuleBlockInclude(java.lang.String theName, AbleRuleSet theRuleSet, java.lang.String theComment, java.util.Map theProperties)` Create a new rule block with the specified characteristics.

Method Summary
`java.lang.String` | `arlString()` Return a formal Able Rule Language (ARL) String.
`java.lang.String` | `armlString()` Return a formal XML string.
`void` | `init()` Initialize and configure the ruleblock by dynamically creating an instance of the specified inference engine.
`void` | `process()`
`void` | `reset()` Reset the rule block so that rules can be fired again: all rules are set to their original state.
`java.lang.String` | `toString()` Retrieve a string describing (the contents of) the object.
`java.lang.String` | `traceString(int theTraceStringFlavor)` Retrieve a string describing (the contents of) the object.
`java.lang.String` | `xmlString()` Return a formal XML string.

Methods inherited from class com.ibm.able.rules.AbleRuleBlock
`addAssertion, addConditionalRule, addCorrelationRule, addIfThenElseRule, addIterationRule, addPatternMatchRule, addPlanningRule, addPolicyRule, addPredicateRule, addRule, addRuleBlockVariable, addSwitchRule, addTreeRule, addVariable, checkTimePeriodPreConditions, getArlComment, getAssertions, getComment, getConditionalRules, getControlParameter, getControlParameters, getCorrelationRules, getEnabledAssertions, getEnabledConditionalRules, getEnabledCorrelationRules, getEnabledIfThenElseRules, getEnabledIterationRules, getEnabledPatternMatchRules, getEnabledPlanningRules, getEnabledPolicyRules, getEnabledPredicateRules, getEnabledRules, getEnabledTreeRules, getEngineType, getIfThenElseRules, getInferenceEngine, getIterationRules, getName, getPatternMatchRules, getPlanningRules, getPolicyRules, getPredicateRules, getProperties, getProperty, getReturnType, getReturnValue, getRule, getRuleBlockKey, getRules, getRulesFiredCount, getRuleTemplates, getTemplateString, getTemplateVars, getTreeRules, getVariable, getWorkingMemory, insertRuleAt, isProcessed, isRuleBlockVariable, processInputs, removeProperty, removeRule, replaceLabeledRule, replaceRule, reservedRuleBlock, setComment, setControlParameter, setControlParameters, setDebugLevel, setEngineType, setFormalParameters, setProcessed, setProperties, setProperty, setReturnValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbleRuleBlockInclude

    public AbleRuleBlockInclude(java.lang.String theName,
                                AbleRuleSet theRuleSet,
                                java.lang.String theComment,
                                java.util.Map theProperties)

  Create a new rule block with the specified characteristics.

Parameters:
  `theName` - The name of this rule block is actually a FileSpec, pointing to the file that contains additional rule block declarations.
  `theComment` - A comment for this include statemnt. The comment should not contain the `"\/**"` and `"*\/"` javadoc delimiters.
  `theProperties` - A set of properties for the rule block. Each key must be a String, and each value must be a String.
Since:
  ABLE 2.2.0

Method Detail

### init

    public void init()
              throws AbleException,
                     AbleParException,
                     AbleDataException

  Description copied from class: `AbleRuleBlock`
  Initialize and configure the ruleblock by dynamically creating an instance of the specified inference engine.

  Overrides:
    `init` in class `AbleRuleBlock`
  Throws:
    `AbleException`
    `AbleParException`
    `AbleDataException`

### process

    public void process()
                 throws AbleDataException

  Overrides:
    `process` in class `AbleRuleBlock`
  Throws:
    `AbleDataException`

### reset

    public void reset()

  Description copied from class: `AbleRuleBlock`
  Reset the rule block so that rules can be fired again: all rules are set to their original state. Note that the "processed" flag is not reset. Must be called after init()

  Overrides:
    `reset` in class `AbleRuleBlock`

### arlString

    public java.lang.String arlString()

  Return a formal Able Rule Language (ARL) String.

  Overrides:
    `arlString` in class `AbleRuleBlock`
  Returns:
    A String describing the object in able rule language.

### xmlString

    public java.lang.String xmlString()

  Return a formal XML string.

  Overrides:
    `xmlString` in class `AbleRuleBlock`
  Returns:
    A String describing the object in XML.

### armlString

    public java.lang.String armlString()

  Return a formal XML string.

  Overrides:
    `armlString` in class `AbleRuleBlock`
  Returns:
    A String describing the object in XML.

### toString

    public java.lang.String toString()

  Retrieve a string describing (the contents of) the object.

  Overrides:
    `toString` in class `AbleRuleBlock`
  Returns:
    A String containing the current contents of the object.

### traceString

    public java.lang.String traceString(int theTraceStringFlavor)

  Retrieve a string describing (the contents of) the object.

  Overrides:
    `traceString` in class `AbleRuleBlock`
  Parameters:
    `theTraceStringFlavor` - An Able.TraceStringFlavor value.

  Returns:
    A String containing the current contents of the object.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005